Subject: unable to add esp4 sa:s via af_key (net-2.6.26)

From: Timo Teräs <[email-masked]>
Date: Mon, 03 Mar 2008 10:34:52 +0200

Hi,

While testing the af_key dumping patch I noticed that I'm no longer able
to add esp4 SA:s. When trying to add such a SA, esp4.c:esp_init_state()
calls esp_init_authenc(), which calls crypto_alloc_ead() and fails. I tried
it with couple of ciphers that both used to work. One such failing argument
for crypto_alloc_ead is "authenc(hmac(md5),cbc(des3_ede))". Any ideas what
is going wrong?

Cheers,
  Timo